import { Marpit, Options, ThemeSetPackOptions } from '@marp-team/marpit';
import type { HLJSApi } from 'highlight.js';
import * as emojiPlugin from './emoji/emoji';
import * as mathPlugin from './math/math';
import * as scriptPlugin from './script/script';
import * as slugPlugin from './slug/slug';
export interface MarpOptions extends Options {
    emoji?: emojiPlugin.EmojiOptions;
    html?: boolean | {
        [tag: string]: string[] | {
            [attr: string]: boolean | ((value: string) => string);
        };
    };
    markdown?: object;
    math?: mathPlugin.MathOptions;
    minifyCSS?: boolean;
    script?: boolean | scriptPlugin.ScriptOptions;
    slug?: slugPlugin.SlugOptions;
}
export declare class Marp extends Marpit {
    readonly options: Required<MarpOptions>;
    private _highlightjs;
    static readonly html: {
        br: never[];
    };
    constructor(opts?: MarpOptions);
    protected applyMarkdownItPlugins(md: any): void;
    get highlightjs(): HLJSApi;
    highlighter(code: string, lang: string, attrs: string): string;
    protected renderStyle(theme?: string): string;
    protected themeSetPackOptions(): ThemeSetPackOptions;
}
export default Marp;
