/**
 * @fileoverview Utility functions for the Network domain.
 */
import type Protocol from 'devtools-protocol';
import type { Network } from '../../../protocol/protocol.js';
export declare function computeResponseHeadersSize(headers: Network.Header[]): number;
/** Converts from CDP Network domain headers to Bidi network headers. */
export declare function bidiNetworkHeadersFromCdpNetworkHeaders(headers?: Protocol.Network.Headers): Network.Header[];
/** Converts from CDP Fetch domain header entries to Bidi network headers. */
export declare function bidiNetworkHeadersFromCdpFetchHeaderEntryArray(headers?: Protocol.Fetch.HeaderEntry[]): Network.Header[];
