import type { Marpit } from '@marp-team/marpit';
import type MarkdownIt from 'markdown-it';
import type { PDFOutline } from '../../utils/pdf';
export interface OutlinePage {
    pageNumber: number;
    headings: OutlineHeading[];
}
export interface OutlineHeading {
    level: number;
    key: string;
}
export type OutlineData = Record<string, [
    x: number,
    y: number,
    text: string
] | undefined>;
export declare const pdfOutlineAttr: "data-marp-cli-pdf-outline";
export declare const pdfOutlineInfo: unique symbol;
export declare function pdfOutlinePlugin(md: MarkdownIt & {
    marpit: Marpit;
}): void;
export declare const pptrOutlinePositionResolver: (headings: OutlineHeading[], attr: typeof pdfOutlineAttr) => OutlineData;
type GeneratePDFOutlinesOptions = {
    pages: boolean;
    data?: OutlineData;
} & ({
    headings: false;
} | {
    headings: true;
    size: {
        width: number;
        height: number;
    };
});
export declare const generatePDFOutlines: (pages: OutlinePage[], opts: GeneratePDFOutlinesOptions) => PDFOutline[];
export {};
