/// <reference types="node" />
export declare class CLIError extends Error {
    readonly errorCode: number;
    readonly message: string;
    readonly name = "CLIError";
    constructor(message: string, errorCode?: number);
    toString(): string;
}
export declare enum CLIErrorCode {
    GENERAL_ERROR = 1,
    NOT_FOUND_CHROMIUM = 2,
    LISTEN_PORT_IS_ALREADY_USED = 3,
    CANNOT_SPAWN_SNAP_CHROMIUM = 4
}
export declare function error(msg: string, errorCode?: CLIErrorCode): never;
export declare const isError: (e: unknown) => e is NodeJS.ErrnoException;
